/**
 * Copyright  2004 ESUP-portail consortium
 * Authors : Doriane.Dusart@univ-valenciennes.fr
 * This program is free software; you can redistribute 
 * it and/or modify it under the terms of the GNU 
 * General Public License as published by the Free 
 * Software Foundation augmented according to the
 * possibility of using it with programs developped under 
 * the Apache licence published by the Apache Software Foundation.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 *  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 *  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY 
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, 
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * See the license terms site for more details : 
 * http://www.esup-portail.org/license.html
 */
 
package org.esupportail.portal.channels.CSympaMultiServeur.Digester;

/**
 * 
 * Description :<br/>
 * Classe qui stocke les urls des web services qui interrogent les diffrents
 * serveurs sympa.<br/>
 * Cette classe est un bean des diffrentes informations du fichier de configuration.
 * 
 * @version $Id : SympaUrl.java, V1.0, 5 janv. 2004<br/>
 * Copyright (c) 2004 Esup Portail (www.esup-portail.org)<br/>
 * Classe(s) : SympaUrl<br/>
 * @author Doriane Dusart<br/>
 */
public class SympaUrl {
    private String url ;
    private String key ;
    private String sympaUrl ;
    private String wsdlUrl ;
   
   
    /**
     * @return Returns the key.
     */
    public String getKey() {
	return key;
    }
    /**
     * @param key The key to set.
     */
    public void setKey(String key) {
	this.key = key;
    }
   
    /**
     * @return Returns the sympaUrl.
     */
    public String getSympaUrl() {
	return sympaUrl;
    }
    /**
     * @param sympaUrl The sympaUrl to set.
     */
    public void setSympaUrl(String sympaUrl) {
	this.sympaUrl = sympaUrl;
    }
   
    /**
     * @return Returns the url.
     */
    public String getUrl() {
	return url;
    }
    /**
     * @param url The url to set.
     */
    public void setUrl(String url) {
	this.url = url;
    }
   
    /**
     * @return Returns the wsdlUrl.
     */
    public String getWsdlUrl() {
	return wsdlUrl;
    }
    /**
     * @param wsdlUrl The wsdlUrl to set.
     */
    public void setWsdlUrl(String wsdlUrl) {
	this.wsdlUrl = wsdlUrl;
    }

 
}
